# IMFDocument Struct Reference
[MCFrame]

Inheritance diagram for IMFDocument:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | GetTitle (TMCString &aTitle) const =0
virtual void MCCOMAPI | SetTitle (const TMCString &aTitle)=0
virtual int32 MCCOMAPI | GetChangeCount ()=0
virtual void MCCOMAPI | SetChangeCount (int32 newChangeCount)=0
virtual boolean MCCOMAPI | IsScratchDocument () const =0
virtual void MCCOMAPI | SetIsScratchDocument (boolean isScratch)=0
virtual void MCCOMAPI | CloseDocument ()=0

## Detailed Description

IMFDocument is the generic interface of a document in MCF.

## Member Function Documentation

virtual void MCCOMAPI IMFDocument::CloseDocument | ( |  | ) | `[pure virtual]`

Remove all reference to this document from the application. This method should always be called before detroying a document.

virtual int32 MCCOMAPI IMFDocument::GetChangeCount | ( |  | ) | `[pure virtual]`

Returns the number of changes made to this document.

virtual void MCCOMAPI IMFDocument::GetTitle | ( | TMCString & | aTitle | ) | const`[pure virtual]`

Returns the title string of the document window (use at least a TMCString255)

Parameters:

  | aTitle |

virtual boolean MCCOMAPI IMFDocument::IsScratchDocument | ( |  | ) | const`[pure virtual]`

Returns true if it is scratch document (ie store in the scratch disk)

virtual void MCCOMAPI IMFDocument::SetChangeCount | ( | int32 | newChangeCount | ) | `[pure virtual]`

Sets the number of changes made to this document.

virtual void MCCOMAPI IMFDocument::SetIsScratchDocument | ( | boolean | isScratch | ) | `[pure virtual]`

Sets whether a document is a scratch document (ie store in the scratch disk).

Parameters:

  | isScratch | True if the document is a scratch document.

virtual void MCCOMAPI IMFDocument::SetTitle | ( | const TMCString & | aTitle | ) | `[pure virtual]`

Sets the title string of the document window.

Parameters:

  | aTitle | The new title.

The documentation for this struct was generated from the following file:

- IMFDocument.h